TArgument
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TArgument

    java.lang.Object
      uk.ac.ic.doc.automed.templates.wrapper.TArgument

Direct Known Subclasses:
  TStatementArgument, TTemplateArgument

    public abstract class TArgument

extends java.lang.Object

Field Summary
`protected int` | `position`

Constructor Summary
`TArgument()`

Method Summary
`protected int` | `getPosition()`
`protected abstract uk.ac.ic.doc.automed.templates.wrapper.TType` | `getType()`
`protected abstract int` | `getTypeID()`
`protected abstract int` | `getTypeInstance()`
`protected abstract boolean` | `isConstraints()`
`protected abstract boolean` | `isFunction()`
`protected abstract boolean` | `isList()`
`protected abstract boolean` | `isName()`
`protected abstract boolean` | `isObject()`
`protected abstract boolean` | `isSchema()`
`protected abstract boolean` | `isString()`
`protected abstract int` | `numberOfElements()`
`protected abstract void` | `setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)`
`protected abstract void` | `setTypeInstance(int inst)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### position

    protected int position

Constructor Detail

### TArgument

    public TArgument()

Method Detail

### getPosition

    protected int getPosition()

### numberOfElements

    protected abstract int numberOfElements()

### getType

    protected abstract uk.ac.ic.doc.automed.templates.wrapper.TType getType()

### setType

    protected abstract void setType(uk.ac.ic.doc.automed.templates.wrapper.TType t)

### getTypeID

    protected abstract int getTypeID()

### isList

    protected abstract boolean isList()

### isObject

    protected abstract boolean isObject()

### isSchema

    protected abstract boolean isSchema()

### isFunction

    protected abstract boolean isFunction()

### isConstraints

    protected abstract boolean isConstraints()

### isName

    protected abstract boolean isName()

### isString

    protected abstract boolean isString()

### getTypeInstance

    protected abstract int getTypeInstance()

### setTypeInstance

    protected abstract void setTypeInstance(int inst)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD